Skip to content

Create a Pixel Bundle

Request

Create a pixel bundle

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/jsonrequired
event_urlsArray of strings or null
container_tagsArray of strings or null
pixel_typestringrequired
Enum:"creative""event""data""segment""dynamic"
advertiser_idinteger or null, (int32)
Example:23
agency_idinteger or null, (int32)
Example:12
provider_idinteger or null, (int32), >= 1
Example:15
namestring, [ 1 .. 256 ] charactersrequired
cost_pct_cpmnumber or null
eligibleboolean
cost_cpmnumber or null
tag_typestringrequired
Enum:"dfa""uat""image""iframe""js"
pricingstring or null
Enum:"CPM""CPTS"
cost_cptsnumber or null
segment_opstring or null
Enum:"AND""OR"
currencystring or null
Enum:"S1""S2""V1""V2"
revenuestring or null
Enum:"S1""S2""V1""V2"
currency_fixedstring or null
statusboolean
rmx_friendlybooleandeprecated
rmx_meritbooleandeprecated
rmx_pc_window_minutesinteger or null, (int32)deprecated
Example:34
rmx_pv_window_minutesinteger or null, (int32)deprecated
Example:44
rmx_conversion_typestringdeprecated
Enum:"one""variable"
rmx_conversion_minutesinteger, (int32)deprecated
Example:24
POST
/pixel_bundles
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/pixel_bundles \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "event_urls": [
      "string"
    ],
    "container_tags": [
      "string"
    ],
    "pixel_type": "creative",
    "advertiser_id": 23,
    "agency_id": 12,
    "provider_id": 15,
    "name": "string",
    "cost_pct_cpm": 0,
    "eligible": true,
    "cost_cpm": 0,
    "tag_type": "dfa",
    "pricing": "CPM",
    "cost_cpts": 0,
    "segment_op": "AND",
    "rmx_friendly": true,
    "rmx_merit": true,
    "rmx_pc_window_minutes": 34,
    "rmx_pv_window_minutes": 44,
    "rmx_conversion_type": "one",
    "rmx_conversion_minutes": 24,
    "currency": "S1",
    "revenue": "S1",
    "currency_fixed": "string",
    "status": true
  }'

Responses

Pixel bundle created response

Bodyapplication/json
dataobject(pixel_bundle)
metaobject
Response
{ "data": { "pixel_type": "creative", "advertiser_id": 23, "agency_id": 12, "id": 32, "provider_id": 15, "name": "string", "cost_pct_cpm": 0, "eligible": true, "tags": "string", "cost_cpm": 0, "external_identifier": "string", "tag_type": "dfa", "pricing": "CPM", "cost_cpts": 0, "segment_op": "AND", "rmx_friendly": true, "rmx_merit": true, "rmx_pc_window_minutes": 34, "rmx_pv_window_minutes": 44, "rmx_conversion_type": "one", "rmx_conversion_minutes": 24, "currency": "S1", "revenue": "S1", "currency_fixed": "string", "status": true, "event_urls": [], "container_tags": [], "version": 4 }, "meta": { "status": "success" } }